<?php

/**
 * Biznol functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package
 */
define('BIZNOL_INCLUDE', trailingslashit(get_template_directory()) . 'inc/');
define('BIZNOL_BASE_DIR', BIZNOL_INCLUDE . 'core/');

function biznol_run() {

    require_once BIZNOL_BASE_DIR . 'class-biznol-autoloader.php';
    $autoloader = new Biznol_Autoloader();

    spl_autoload_register([$autoloader, 'loader']);
    new Biznol_Core();
}

biznol_run();

add_theme_support('post-thumbnails');

require get_template_directory() . '/inc/custom-header.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Register Widget WordPress.
 */
require get_template_directory() . '/inc/widget/widgets-register-sidebars.php';

/**
 * Header Widget WordPress.
 */
require get_template_directory() . '/inc/widget/biznol-header-callout-widget.php';

/**
 * Customizer
 * Custom functions that act independently of the theme templates.
 */
require_once get_template_directory() . '/inc/plugin-install.php';

/* Header */
require get_template_directory() . '/inc/customizer/customizer_header.php';

/* Recommended plugin */
require get_template_directory() . '/inc/customizer/customizer_recommended_plugin.php';

/* Toggle */
require get_template_directory() . '/inc/customizer/customizer_toggle.php';

/* Header */
require get_template_directory() . '/inc/customizer/customizer_general.php';

/*
 * Breadcrumb
 */
require get_template_directory() . '/inc/customizer/customizer_breadcrumb.php';

if (!file_exists(get_template_directory() . '/inc/class-biznol-bootstrap-navwalker.php')) {
    // File does not exist... return an error.
    return new WP_Error('class-biznol-bootstrap-navwalker-missing', __('It appears the class-biznol-bootstrap-navwalker.php file may be missing.', 'biznol'));
} else {
    // File exists... require it.
    require_once get_template_directory() . '/inc/class-biznol-bootstrap-navwalker.php';
}


/*-----Register Google Fonts--------*/

function biznol_fonts_url() {
    
    $fonts_url = '';
        
    $font_families = array();
 
    $font_families = array('Montserrat:400,500,700,800|Poppins:300,400,500,600,700,800,900&display=swap');
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );

    return $fonts_url;
}
function biznol_scripts_styles() {
    wp_enqueue_style( 'biznol-fonts', biznol_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'biznol_scripts_styles' );